from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XAnimationNodeSupplier(Protocol):
    def getAnimationNode(self) -> XAnimationNode: ...
